Summary: The Linux kernel header files for the running system
Name: linux-headers
Version: 2.6.11.0
Release: 3tr
License: GPL
Group: Trustix Official
Source0: kernel-headers-%{version}.tar.bz2
Patch0: kernel-headers-2.6.11.0-ip_nat.patch
BuildRoot: %{_tmppath}/%{name}-root
AutoReq: false
PreReq: bash coreutils
Provides: kernel-headers

%description
Kernel-headers includes the C header files for the Linux kernel.  The
header files define structures and constants that are needed for
building most standard programs.

%prep
%setup -q -n kernel-headers-%{version}
%patch0 -p1


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/usr/include

%define multibitarches ppc64 x86_64
ARCH=%{_arch}
EXTRA_ARCH=$ARCH
case "%{_arch}" in
        i?86)
           ARCH=i386
        ;;
        ppc64)
           EXTRA_ARCH="ppc"
        ;;
        x86_64)
           EXTRA_ARCH="i386"
esac

pushd $RPM_BUILD_DIR/kernel-headers-%{version}/include

%ifarch %{multibitarches}
cp -a asm-$ARCH include/asm-$EXTRA_ARCH linux $RPM_BUILD_ROOT/usr/include/
%else
cp -a asm-$ARCH linux $RPM_BUILD_ROOT/usr/include/
%endif
cp -a sound $RPM_BUILD_ROOT/usr/include/

rm -f $RPM_BUILD_ROOT/usr/include/asm || :
ln -s asm-$ARCH $RPM_BUILD_ROOT/usr/include/asm

popd

%pre 

if [ -d /usr/include/asm ] ; then
    rm -rf /usr/include/asm
fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"


%files
%defattr(-,root,root)
/usr/include/*

%changelog
* Tue Mar 22 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.6.11.0-2tr
- Added ip_nat.h patch to remove compile error from iptables

* Mon Mar 21 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.6.11.0-1tr
- New Upstream

* Fri Mar 18 2005 Bipin S  <bipin at comodo dot com> 2.6.9-4tr
- Rebuilt 

* Thu Feb 17 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.6.9-3tr
- New Update and added %pre to remove asm directory now it is a symbolic link

* Wed Jul  7 2004 Chr. Toldnes <christht at trustix dot org> 2.6.7-2tr
- New source and cleanup

* Wed Jul  7 2004 Chr. Toldnes <christht at trustix dot org> 2.6.7-1tr
- New upstream version: 2.6.7

* Sat Apr 24 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.25-5tr
- Added #include <linux/bitops.h> to various system.h's

* Mon Apr 19 2004 Oystein Viggen <oysteivi at trustix dot com> 2.4.25-4tr
- For biarch architectures, also include 32 bit asm headers

* Fri Apr 16 2004 Oystein Viggen <oysteivi at trustix dot com> 2.4.25-3tr
- New source tarball includes asm for all architectures.  Handle this.

* Thu Feb 26 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.25-1tr
- New upstream.

* Fri Dec 12 2003 Erlend Midttun <erlendbm at trustix dot org> 2.4.20-6tr
- Rebuilt,

* Thu Jul  3 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-5tr
- Fix modversions.h

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-4tr
- Big rebuild

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-3em
- fileutils -> coreutils.

* Thu Apr 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-2em
- Fix .h's

* Tue Apr 22 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-1em
- New upstream.
- Added more flexible version.h's.

* Wed Apr  9 2003 Gerald Dachs <gda at trustix dot org> 2.4.19-2gd
- Added PreReq on fileutils

* Thu Jan 16 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.19-1em
- Renamed from kernel-headers to linux-headers.

* Tue Nov  5 2002 Erlend Midttun <erlendbm at trustix dot com> 2.4.19-7em
- Make sure /usr/include/{asm,linux} does not exist prior to install.

* Tue Aug 27 2002 Erlend Midttun <erlendbm at trustix dot com> 2.4.19-6em
- Make sure /usr/include/{asm,linux} does not exist prior to install.

* Mon Aug 26 2002 Erlend Midttun <erlendbm at trustix dot com> 2.4.19-5em
- Initial release.  Named -5em not to collide with the old
  kernel-headers package.

